Bug 426601 - Blank screen on 2nd invocation of Wine with experimental intel driver
Blank screen on 2nd invocation of Wine with experimental intel driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 16:16 EST by Stuart D Gathman
Modified: 2009-01-09 02:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:32:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (15.28 KB, text/plain)
2007-12-24 16:34 EST, Stuart D Gathman
no flags Details
/etc/X11/xorg.conf (1.45 KB, text/plain)
2008-01-09 22:46 EST, Stuart D Gathman
no flags Details
/var/log/Xorg.0.log (38.27 KB, text/plain)
2008-01-09 22:47 EST, Stuart D Gathman
no flags Details
/var/log/Xorg.setup.log (1.12 KB, text/plain)
2008-01-09 22:48 EST, Stuart D Gathman
no flags Details
Log from autodetecting GM965 Intel laptop video (40.99 KB, text/plain)
2008-01-19 00:11 EST, Stuart D Gathman
no flags Details

  None (edit)
Description Stuart D Gathman 2007-12-22 16:16:38 EST
Description of problem:

Using the experimental intel driver with GM965 chipset, 1st invocation of a wine
program, e.g. WineFile, works perfectly.  The 2nd and subsequent invocations
result in a blank screen.  The wine app is still active, and can be dismissed
via Alt-F4 in most cases (inc. WineFile), at which point the desktop reappears.
 This does happen with EL5 (on different hardware), and does not happen with a
copy of the same Fedora 8 LV image on an AMD/Nvidia machine with nvidia driver
configured.  Also, other applications have similar problems with experimental
driver, but this one seems to be quite reproducible.

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-2.1.1-7.fc8
wine-0.9.49-1.fc8
kernel-2.6.23.9-85.fc8

How reproducible:

Run WineFile twice.

Steps to Reproduce:

1. Run WineFile from menu
2. Exit WineFile
3. Run WineFile from menu
  
Actual results:

blank screen

Expected results:

WineFile in window

Additional info:

Video chipset GM865

If you can exit the Wine application blindly (Alt-F4 often does it), then the
desktop returns.
Comment 1 Stuart D Gathman 2007-12-22 16:18:23 EST
Oops.  Does *not* happen with EL5 (on different chipset).
Comment 2 Stuart D Gathman 2007-12-22 16:21:18 EST
Reloading X server (Ctrl-Alt-Backspace) resets the problem.
Comment 3 Stuart D Gathman 2007-12-24 16:34:16 EST
Created attachment 290360 [details]
Xorg.0.log

These 218 lines are appended to Xorg.0.log when running WineFile (or other wine
program) for the 2nd and subsequent times.
Comment 4 Stuart D Gathman 2007-12-24 16:35:40 EST
Does not happen with same FC8 image and open source ATI driver.  So this is
clearly a video driver problem.  

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated
Graphics Controller (rev 03)
Comment 5 Stuart D Gathman 2007-12-30 19:22:45 EST
Workaround: Edit $HOME/.wine/system.reg and remove the reference to DirectX:

[Software\\Microsoft\\DirectX] 1186538299
"Version"="4.09.00.0904"

Problem is with buggy 3D support in intel driver.
Comment 6 Matěj Cepl 2008-01-08 12:51:47 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 Stuart D Gathman 2008-01-09 22:46:19 EST
Created attachment 291226 [details]
/etc/X11/xorg.conf
Comment 8 Stuart D Gathman 2008-01-09 22:47:26 EST
Created attachment 291227 [details]
/var/log/Xorg.0.log
Comment 9 Stuart D Gathman 2008-01-09 22:48:06 EST
Created attachment 291228 [details]
/var/log/Xorg.setup.log
Comment 10 Stuart D Gathman 2008-01-11 12:36:50 EST
Will have the last Xorg.0.log (autodetect) this weekend.  Having trouble getting
the laptop back for an hour :-), but wanted to reset the status with a comment.
 If it helps, the display was autodetected while installing fc8, but of course I
don't still have the log from that.
Comment 11 Stuart D Gathman 2008-01-19 00:11:46 EST
Created attachment 292232 [details]
Log from autodetecting GM965 Intel laptop video
Comment 12 Stuart D Gathman 2008-01-19 00:15:54 EST
Ok, looks like it needs a comment to reset status.  Finally got the laptop away
from my wife long enough to get the log.
Comment 13 Matěj Cepl 2008-01-21 07:52:31 EST
yes, sorry about that.
Comment 14 Jacob Masaki 2008-05-15 19:04:54 EDT
I have a similar problem with Wine on my machine, I've not tried it with
invoking winefile twice, but if I start Diablo II (or its video test) bad things
happen, ranging from hanging the system, to killing X.  

A workaround is using wine 0.9.47 from the Fedora 8 repos (not Fedora 8
updates), which does not have this problem.  

This actually appears to be a bug in the intel drivers, because the same Wine
versions run fine on my desktop machine, which has a nVidia card.  

https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/120834

This bug, from Ubuntu looks like it may be related, and may possibly have a fix
for mesa.  

Again, a workaround for the problems with wine is installing the version of wine
from the Fedora 8 repo (and NOT Fedora 8 updates, that has the same problem.)  
Comment 15 Matěj Cepl 2008-05-16 16:14:51 EDT
Looks more and more like wine problem. Reassign back if you have reason to
believe it is really an xorg problem.
Comment 16 Stuart D Gathman 2008-05-18 00:49:54 EDT
There are a number of 3D games *not* using wine which either fail to start
altogether, or crash after playing a while on the GM965.  TuxRacer, for example,
crashes if you "play again".  If it is helpful, I could make a small list. 
These are all games that play properly on Fedora 8 with both Nvidia (my
neighbors system), and GM945 chipset (my daughters system).  I didn't consider
the games a high priority, or I would have mentioned them.  But come to think of
it, they are a major exerciser of the 3D API - so they are more important than I
thought.
Comment 17 Bug Zapper 2008-11-26 04:07:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-01-09 02:32:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.